Orders

Trades

GET
/api/oms/trades

to get a list of trade records

Query Parameters

symDetails?boolean

Sending symDetails:'true' - will provide the symbol object in response for every record. Symbol object contains details such as price-tick, lotsize, token etc..,

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oms/trades" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": [
    {
      "symId": "EQT_RELIANCE_EQ_NSE",
      "side": "b",
      "type": "l",
      "product": "cnc",
      "orderId": "210115000000001",
      "fillId": "210115000000001-1",
      "fillQty": 5,
      "fillPrice": 2450.75,
      "fillValue": 12253.75,
      "time": "09:32:15"
    }
  ]
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}